* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

#div1 {

	/*margin is space generated outside of the element.*/
	
	/*Border is the spacr between your margin and padding*/
	
	/*padding is space generated inside the element, between our border and our content*/
	
	/*margin and paddings have four directions they can be added at the top,bottom,left, or right*/
	
	/*margin:  <value> - adds margin on all sides*/
	
	/*margin: <top&bottom> <left&right*/
	/*marign: <top> <left&right> <bottom> */
	
	/*marign: <top> <right> <bottom> <left>*/
	
	/*margin: 100px 10px 5px 50px;*/
	border:  2px solid black;
	padding:  20px;
	background-color: red;
	width: 100px;
	height: 100px;
	display: inline-blocks;
	vertical-align: top;

	/*Without box-sizing or the default: 
		
		width is calculated is like this: ;

		2px left border + 20px left padding + 100px width + 20px right padding + 2px right border = 144px

		box-sizing:  content-box; - border and padding added on top of width.

		box-sizing property allows us to determine how we calculate the size of elements.

		with box=sizing: border-box ;

		width is calculated like this: ;

		2px left border + 20px left padding + 56px content width + 20px right padding + 2px right border = 100px

		box-sizing:  border-box; border and padding is included in the total width of our element.

		inline vs block vs inline-block

		block will occupy the whole width of its parent therefore it breaks the line. However, we can manipulate the height abd width of our block element.

		inline will only occupy the size of its content. You can't set the width and height of an inline element. This will then display elements beside each other.

		inline-block works almost like an inline element wherein it will not start on a new line and will put elements beside each other. However, with inline-block, you can set the width and the height.

		vertical-align: top; - will allow us to align our item vertically from the top. It is usually used in conjuction with inline-block elements.

	*/
}

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	width: 100px;
	height: 100px;
	display: inline-block;
	vertical-align: top;
}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	width: 100px;
	height: 100px;
}

#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	width: 100px;
	height: 100px;
}
